# Nepali NLP Resources

> A curated list of NLP Resources for the Nepali Language

## Speech Resources

- [High quality TTS data for Nepali](http://www.openslr.org/43) - Multi-speaker TTS data for Nepali (ne-NP) ~2,000 sentences (48kHz, 16 bit, mono, Wave audio)

- [Large Nepali ASR training data set](http://www.openslr.org/54/) - Nepali ASR training data set containing ~157K utterances (16kHz, 16 bit, mono, FLAC audio).

- [Devanagiri Numbers(०-९) Spoken Audio](https://drive.google.com/drive/folders/15g57Qa1TQa4Ix6-MiC6v1wieouqp0XAl)

## Text Resources

### News Source

- [16NepaliNews Corpus](https://github.com/sndsabin/Nepali-News-Classifier)
- [65K Nepali Sentences](https://github.com/sanjaalcorps/NepaliDataSets/blob/master/raw_sentences_np_65k.csv)
- [1000 Sport News](https://github.com/Aryal007/nepali_text_generation/blob/master/data/sports_news_nepali_1000.txt)
- [Nagarik News Corpus](https://github.com/ashmitbhattarai/Nepali-Language-Modeling-Using-LSTM/tree/master/Nepali_Corpus/Nagarik)
- [Setopati News Corpus](https://github.com/ashmitbhattarai/Nepali-Language-Modeling-Using-LSTM/tree/master/Nepali_Corpus/SetoPati)
- [Nepali news in 10 different categories](https://github.com/kamalacharya2044/NepaliNewsDataset)
- [Nepali News in English Corpus](https://github.com/sharad461/english-corpus-nepal)
- [Title Article pairs from news](https://drive.google.com/file/d/1L56k0zonMk6XpelKAXPm45wCmt-9pS3x/view)
- [Nepali News Classification Dataset](https://drive.google.com/drive/folders/1Vm0UJ3FfWP-3guSan3FZsOV4q7rYuJIG)

### Wikipedia

- [39K Nepali Wikipedia Articles](https://www.kaggle.com/disisbig/nepali-wikipedia-articles)

## Translational Resources

- [Nepali Translation Parallel Corpus](https://drive.google.com/file/d/1UThfJKJFvDgTu263DNbz-WPNLqoARZ_0/view)
- [Facebook Low Resource MT Benchmark (FLoRes) Test Sets](https://github.com/facebookresearch/flores)

## Embeddings

- [Pretrained fastText Word Vectors](https://fasttext.cc/docs/en/crawl-vectors.html): [bin](https://dl.fbaipublicfiles.com/fasttext/vectors-crawl/cc.ne.300.bin.gz),[txt](https://dl.fbaipublicfiles.com/fasttext/vectors-crawl/cc.ne.300.vec.gz)\
Trained on Common Crawl and Wikipedia
- [300-D Word Embeddings (Word2Vec) for Nepali Language](https://github.com/rabindralamsal/Word2Vec-Embeddings-for-Nepali-Language)\
The text corpus contains more than 90 million running words

## NER

- [Nepali NER](https://github.com/oya163/nepali-ner)

## Other Resources

- [Nepali Text Extraction](https://github.com/tnagorra/nepali-text-extraction)
- [Laxmi Prasad Devkota Poems](https://github.com/devkotasawal1/Poem-Generator/blob/master/lspd.txt)
- [Nepali Names](https://github.com/datafiction/oya-nepali-nlp/blob/master/data/names/Nepali.txt)
- [Nepali Ngram](https://github.com/virtualanup/nepalingram)
- [Nepali Stopwords](https://github.com/sanjaalcorps/NepaliStopWords/blob/master/NepaliStopWords.txt)
- [Nepali Word List](https://github.com/tesseract-ocr/langdata/blob/master/nep/nep.wordlist)
- [Nepali transliteration](https://github.com/AchillesKarki/NepaliLipi)
- [Nepali Textbooks by Cornell Anthropology](https://ecommons.cornell.edu/handle/1813/24179)
- [Nepali Textbooks from grade 1 to 12](http://lib.moecdc.gov.np/catalog/opac_css/index.php?lvl=cmspage&pageid=6&id_rubrique=105)
- [Nepali Spelling Correction Dataset](https://github.com/tnagorra/nspell/tree/master/data)
- [Nepali Contemporary Dictionary](http://ltk.org.np/nepalisabdakos/dict/np_dictionary_db.sql.gz)
- [Nepali Names list](https://github.com/prabinzz/nepali-wordlist)
- [English to Nepali dictionary](https://github.com/nirooj56/Nepdict/blob/master/database/data.csv)

## Important Githubs and References

- [Indic NLP Library](https://github.com/anoopkunchukuttan/indic_nlp_library)
- [NLP processes for Nepali Language](https://github.com/sushil79g/Nepali_nlp)
- [NLP for Nepali](https://github.com/goru001/nlp-for-nepali)
- [Nepali Bhasa](https://github.com/nepali-bhasa)
- [ml-datasets](https://github.com/amitness/ml-datasets)
- [openSLR](http://openslr.org/)

## Contribute

Contributions are always welcome!